ResourcesReward Grants
List reward grants
List reward grant history for the selected store.
Authorization
bearerAuth storeAuth AuthorizationBearer <token>
Provide your SellApp API key as a bearer token.
In: header
X-STORE<token>
Select the SellApp store for this API request.
In: header
Query Parameters
limit?integer
Number of items to return per page.
Default
15Range
1 <= value <= 100page?integer
Page number to return.
Default
1Range
1 <= valuepagination?boolean
Set to false to return at most 100 matching items in one data array without pagination links or metadata.
Default
trueResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://sell.app/api/v2/reward-grants"{
"data": [
{
"id": 0,
"reward_rule_id": 0,
"customer_id": 0,
"customer": {
"id": 0,
"email": "user@example.com"
},
"granted_at": "2019-08-24T14:15:22Z",
"trigger_type": "PURCHASE_COUNT",
"trigger_value": 0,
"trigger_threshold": 0,
"outputs": [
{
"id": 0,
"type": "WALLET_CREDIT",
"payload": {},
"coupon_id": 0,
"wallet_ledger_entry_id": 0,
"created_at": "2019-08-24T14:15:22Z"
}
],
"created_at": "2019-08-24T14:15:22Z"
}
],
"links": {
"first": "https://sell.app/api/v1/blacklists?page=1",
"last": "https://sell.app/api/v1/blacklists?page=4",
"prev": null,
"next": "https://sell.app/api/v1/blacklists?page=2"
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 4,
"links": [
{
"url": "string",
"label": "string",
"active": true
}
],
"path": "https://sell.app/api/v1/blacklists",
"per_page": 15,
"to": 15,
"total": 57
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "The given data was invalid.",
"errors": {
"data": [
"The data field is required."
]
}
}